﻿Imports System.Threading, System.ComponentModel
Partial Public Class dlgIsBusy : Inherits Form

	Public Sub New()
		InitializeComponent()
	End Sub

	Public Sub New(Text As String, Description As String)
		InitializeComponent()
		Me.Text = Text
		lblDesc.Text = Description
	End Sub

	Public Sub UpdateDescription(Description As String)
		If Me.InvokeRequired Then
			Dim act As New Action(Of String)(AddressOf UpdateDescription)
			Me.Invoke(act, Description)
			Return
		End If
		lblDesc.Text = Description
	End Sub

	Public Sub UpdateTitle(Title As String)
		If Me.InvokeRequired Then
			Dim act As New Action(Of String)(AddressOf UpdateTitle)
			Me.Invoke(act, Title)
			Return
		End If
		Me.Text = Title
	End Sub

	Public Sub UpdateTitleAndDescription(Title As String, Description As String)
		If Me.InvokeRequired Then
			Dim act As New Action(Of String, String)(AddressOf UpdateTitleAndDescription)
			Me.Invoke(act, Title, Description)
			Return
		End If
		Me.Text = Title
		lblDesc.Text = Description
	End Sub

End Class